<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_65) on Fri Aug 22 15:07:04 CEST 2014 -->
<title>Serialized Form</title>
<meta name="date" content="2014-08-22">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="Serialized Form";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?serialized-form.html" target="_top">Frames</a></li>
<li><a href="serialized-form.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Serialized Form" class="title">Serialized Form</h1>
</div>
<div class="serializedFormContainer">
<ul class="blockList">
<li class="blockList">
<h2 title="Package">Package&nbsp;fr.inria.alpage.frmgcm.dpp</h2>
<ul class="blockList">
<li class="blockList"><a name="fr.inria.alpage.frmgcm.dpp.ParseException">
<!--   -->
</a>
<h3>Class <a href="fr/inria/alpage/frmgcm/dpp/ParseException.html" title="class in fr.inria.alpage.frmgcm.dpp">fr.inria.alpage.frmgcm.dpp.ParseException</a> extends java.lang.Exception implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>1L</dd>
</dl>
<ul class="blockList">
<li class="blockList"><a name="serializedForm">
<!--   -->
</a>
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>currentToken</h4>
<pre><a href="fr/inria/alpage/frmgcm/dpp/Token.html" title="class in fr.inria.alpage.frmgcm.dpp">Token</a> currentToken</pre>
<div class="block">This is the last token that has been consumed successfully.  If
 this object has been created due to a parse error, the token
 followng this token will (therefore) be the first error token.</div>
</li>
<li class="blockList">
<h4>expectedTokenSequences</h4>
<pre>int[][] expectedTokenSequences</pre>
<div class="block">Each entry in this array is an array of integers.  Each array
 of integers represents a sequence of tokens (by their ordinal
 values) that is expected at this point of the parse.</div>
</li>
<li class="blockList">
<h4>tokenImage</h4>
<pre>java.lang.String[] tokenImage</pre>
<div class="block">This is a reference to the "tokenImage" array of the generated
 parser within which the parse error occurred.  This array is
 defined in the generated ...Constants interface.</div>
</li>
<li class="blockListLast">
<h4>eol</h4>
<pre>java.lang.String eol</pre>
<div class="block">The end of line string for this machine.</div>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="fr.inria.alpage.frmgcm.dpp.Token">
<!--   -->
</a>
<h3>Class <a href="fr/inria/alpage/frmgcm/dpp/Token.html" title="class in fr.inria.alpage.frmgcm.dpp">fr.inria.alpage.frmgcm.dpp.Token</a> extends java.lang.Object implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>1L</dd>
</dl>
<ul class="blockList">
<li class="blockList"><a name="serializedForm">
<!--   -->
</a>
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>kind</h4>
<pre>int kind</pre>
<div class="block">An integer that describes the kind of this token.  This numbering
 system is determined by JavaCCParser, and a table of these numbers is
 stored in the file ...Constants.java.</div>
</li>
<li class="blockList">
<h4>image</h4>
<pre>java.lang.String image</pre>
<div class="block">The string image of the token.</div>
</li>
<li class="blockList">
<h4>next</h4>
<pre><a href="fr/inria/alpage/frmgcm/dpp/Token.html" title="class in fr.inria.alpage.frmgcm.dpp">Token</a> next</pre>
<div class="block">A reference to the next regular (non-special) token from the input
 stream.  If this is the last token from the input stream, or if the
 token manager has not read tokens beyond this one, this field is
 set to null.  This is true only if this token is also a regular
 token.  Otherwise, see below for a description of the contents of
 this field.</div>
</li>
<li class="blockListLast">
<h4>specialToken</h4>
<pre><a href="fr/inria/alpage/frmgcm/dpp/Token.html" title="class in fr.inria.alpage.frmgcm.dpp">Token</a> specialToken</pre>
<div class="block">This field is used to access special tokens that occur prior to this
 token, but after the immediately preceding regular (non-special) token.
 If there are no such special tokens, this field is set to null.
 When there are more than one such special token, this field refers
 to the last of these special tokens, which in turn refers to the next
 previous special token through its specialToken field, and so on
 until the first special token (whose specialToken field is null).
 The next fields of special tokens refer to other special tokens that
 immediately follow it (without an intervening regular token).  If there
 is no such token, this field is null.</div>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="fr.inria.alpage.frmgcm.dpp.TokenMgrError">
<!--   -->
</a>
<h3>Class <a href="fr/inria/alpage/frmgcm/dpp/TokenMgrError.html" title="class in fr.inria.alpage.frmgcm.dpp">fr.inria.alpage.frmgcm.dpp.TokenMgrError</a> extends java.lang.Error implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>1L</dd>
</dl>
<ul class="blockList">
<li class="blockList"><a name="serializedForm">
<!--   -->
</a>
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockListLast">
<h4>errorCode</h4>
<pre>int errorCode</pre>
<div class="block">Indicates the reason why the exception is thrown. It will have
 one of the above 4 values.</div>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?serialized-form.html" target="_top">Frames</a></li>
<li><a href="serialized-form.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
